DPDK patches and discussions
 help / color / mirror / Atom feed
From: Paul Szczepanek <paul.szczepanek@arm.com>
To: thomas@monjalon.net
Cc: dev@dpdk.org, Paul Szczepanek <paul.szczepanek@arm.com>
Subject: [RFC v1 1/1] devtools: allow libraries with no global section
Date: Wed,  6 Mar 2024 14:35:39 +0000	[thread overview]
Message-ID: <20240306143539.160467-2-paul.szczepanek@arm.com> (raw)
In-Reply-To: <20240306143539.160467-1-paul.szczepanek@arm.com>

If a library has no global section in the version.map
allow it not to have symbols and not report it as an error.
This happens if a library doesn't export any functions
if they're all inline.

Signed-off-by: Paul Szczepanek <paul.szczepanek@arm.com>
---
 devtools/check-symbol-maps.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/devtools/check-symbol-maps.sh b/devtools/check-symbol-maps.sh
index ba2f892f56..380a251aea 100755
--- a/devtools/check-symbol-maps.sh
+++ b/devtools/check-symbol-maps.sh
@@ -63,7 +63,9 @@ fi
 find_empty_maps ()
 {
     for map in $@ ; do
-        [ $(buildtools/map-list-symbol.sh $map | wc -l) != '0' ] || echo $map
+        # ignore maps that do not have a 'global:' section since they are empty by design
+        [ $(buildtools/map-list-symbol.sh $map | wc -l) != '0' ] ||
+            ! grep -q 'global:' $map || echo $map
     done
 }

--
2.25.1


  reply	other threads:[~2024-03-06 14:35 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-06 14:35 [RFC v1 0/1] allow header only libraries Paul Szczepanek
2024-03-06 14:35 ` Paul Szczepanek [this message]
2024-03-06 16:14   ` [RFC v1 1/1] devtools: allow libraries with no global section David Marchand
2024-03-06 16:39     ` Bruce Richardson
2024-03-06 16:51       ` David Marchand
2024-03-06 22:23         ` Paul Szczepanek

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240306143539.160467-2-paul.szczepanek@arm.com \
    --to=paul.szczepanek@arm.com \
    --cc=dev@dpdk.org \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).